Subject: RE: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Drew Adams <[email-masked]>
Date: Sat, 24 Oct 2015 01:34:01 -0700 (PDT)

> > > But if none of them is preloaded, what is it that we do with dired.el
> > > and don't do with the other two packages?
> >
> > We load dired.el when you use `C-x d' (or `C-x 4 d' etc.).
> > We do not load the other two when you do that.  I think we
> > should.  We should consider them an integral part of Dired,
> > including for documentation purposes.  I see no reason not
> > to.
> 
> Would adding to dired.el autoload cookies for the commands and options
> in the other 2 packages have the same effect, as far as
> discoverability is concerned, as loading them?  If not, what will be
> missing?

If I understand you correctly, no.  The point is to make
their commands and menu items apparent from the outset in
Dired.  IIUYC, what you describe would have Dired start
without them, and only if someone used one of their commands
would they be loaded.  That doesn't help discovery of what
they have to offer.

> > I don't even see any reason for the division into 3 files
> > at this point.
> 
> The 2 additional files almost double the size of the Dired-related
> byte code.  That's pretty significant, IMO, although not a
> catastrophe.

Yes.

I think that people who use Dired would be willing to pay
that price (if they knew about the features).  And people
who do not use Dired would not pay any Dired price.